Subject: Re: bug#5364: 23.1.91; execute-extended-command should do like FFAP

From: "Jan D." <[email-masked]>
Date: Wed, 13 Jan 2010 08:26:40 +0100

On 2010-01-12 21:54, Juri Linkov wrote:
>> OK, how would you execute this command that you see sitting in front of you?
>> (list-load-path-shadows)
>>
>> I ended up doing<escape>  x l i s t p<backspace>
>> -<escape>  /<return>
>>
>> That's because I am unable to just put the cursor on it and do M-x, as
>> for some reason execute-extended-command won't prompt me for it even now
>> these days. I recall the idea was rejected.
>
> The idea of adding a command to pull a string from the original buffer
> to the minibuffer was not rejected.  The only problem is that we have
> to find a good keybinding.  One proposal was to use `M-.', so when the
> cursor is on the string `list-load-path-shadows' you can type
>
>    M-x M-. RET
>

Hmm, why don't to the same as C-h f does, offer the function as a 
default?  I think that works quite well.

	Jan D.